> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hlofiys.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a password reset code



## OpenAPI

````yaml api-reference/openapi.json post /api/auth/password/request-reset-code
openapi: 3.0.0
info:
  title: Tandem IT API
  version: 1.0.0
  description: API for tandem it backend
servers:
  - url: https://tandem.hlofiys.xyz
    description: Production server
security: []
tags:
  - name: Documentation
    description: API documentation endpoint
paths:
  /api/auth/password/request-reset-code:
    post:
      tags:
        - Authentication
      summary: Request a password reset code
      operationId: requestPasswordResetCode
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordResetCodeRequest'
      responses:
        '200':
          description: >-
            Request processed. If a user with this email exists, a password
            reset code has been generated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PasswordResetCodeResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '404':
          description: Not Found. A user with the specified email was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PasswordResetCodeRequest:
      type: object
      required:
        - email
      properties:
        email:
          type: string
    PasswordResetCodeResponse:
      type: object
      required:
        - email
        - message
      properties:
        email:
          type: string
        message:
          type: string
    ValidationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          example: Validation failed
        errors:
          type: object
          description: A map of field names to their respective error messages.
          additionalProperties:
            type: string
          example:
            name: The name field is required.
            price: The price must be a valid number.
            hall_id: A valid hall_id is required.
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string

````